/**
 * Convert the given stringified JSON into a marked-up, syntax highlighted, string. Make sure you include the CSS file when you use this.
 * @param json Stringified json, or a JSON object
 * @param indent Optional indent to use when stringifying (if `json` was passed in as a JSON object)
 */
export declare function syntaxHighlight(json: string | Record<string, any>, indent?: number): string;
/**
 * Attaches to an instance of the JsPlumbToolkit and sets the contents of some element with a syntax-highlighted dump of the Toolkit's dataset,
 * updating it whenever the dataset changes.
 */
export declare class ToolkitSyntaxHighlighter {
    private toolkit;
    private indent;
    private readonly container;
    private _suspended;
    updateDataset(): void;
    resume(): void;
    suspend(): void;
    constructor(toolkit: any, selector: string | Element, indent?: number);
}
/**
 * Creates a new syntax highlighter attached to the given Toolkit instance. This is not for use with the Community edition, only
 * the Toolkit edition.
 * @param toolkit JsPlumbToolkit instance
 * @param selector string or Element identifying the place to write output
 * @param indent Optional indent for the JSON. Defaults to 4 characters.
 */
export declare function newInstance(toolkit: any, selector: string | Element, indent?: number): ToolkitSyntaxHighlighter;
